Mattermost, Inc.

Apostrophe Error

Summary

A user is having a text error. On all channels this user is seeing “&#39|;” in place of apostrophes.

Steps to reproduce

No other users have this issue and the program was uninstalled and reinstalled. We are using version 4.2.0.

MM

It seems that v4.2.0 would be your desktop app version.

What Mattermost server version are you on? Would you be open to updating your desktop app version to v4.3.2?

We are on server version 5.8

Update: We installed v4.3.2 and the problem still exists.

Would you be open to consider updating your server version (our most recent release is v5.19)? We don’t officially support v5.8 anymore and it is possible that this could be a server related issue.

This still did not fix the issue.

Would he be able to share his logs via the instructions here https://docs.mattermost.com/install/desktop.html#reporting-issues?

I dont see the instructions of where to send the log file?

Just checking back in on this, the link you provided doesnt give a destination for the log file.

You can attach the log file here, or you could copy and paste the text in the log file into a post here. Let me know if that works.

Thank you!

index_bundle.js:28189 [CompanyName] Loading com.mattermost.nps plugin
index_bundle.js:28189 [CompanyName] Loaded com.mattermost.nps plugin
index_bundle.js:28192 CompanyName] Using the Notification API on insecure origins is deprecated and will be removed in M61, around September 2017. You should consider switching your application to a secure origin, such as HTTPS. See https://goo.gl/rStTGz for more details.
webview.addEventListener.e @ index_bundle.js:28192
index_bundle.js:28192 [CompanyName] Using the Notification API on insecure origins is deprecated and will be removed in M61, around September 2017. You should consider switching your application to a secure origin, such as HTTPS. See https://goo.gl/rStTGz for more details.
webview.addEventListener.e @ index_bundle.js:28192
index_bundle.js:28189 [CompanyName] websocket connecting to ws://10.1.0.35:8065/api/v4/websocket

What OS and version is the user on?

Sure, its Windows 10 v1903

This error seems to be on the user only. When logging on to the users machine with a different user the error goes away. If logging into the errored user on a different machine the error then appears. The user has been deleted and readded, the error still appears.

I believe this has something to do with this users username. The username is “39”.

Possibly, usernames have to begin with a lowercase letter and be 3-22 characters long. Are you able to change his username to match the requirements?